Bug 178413 - none UTF-8 messages for GNOME applications
Summary: none UTF-8 messages for GNOME applications
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: popt (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 249352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-20 10:42 UTC by fujiwara
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 1.12-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 23:28:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Makefile.am, configure.in, popthelp.c, poptint.c, poptint.h (6.76 KB, patch)
2006-01-20 10:42 UTC, fujiwara
no flags Details | Diff
Patch for Makefile.am configure.in popthelp.c poptint.c and poptint.h (6.68 KB, patch)
2006-10-10 07:21 UTC, fujiwara
no flags Details | Diff
Patch for popt/configure.ac and popt/popthelp.c (2.00 KB, patch)
2007-08-24 06:22 UTC, fujiwara
no flags Details | Diff
Patch for isspace() cast in popt/popthelp.c (842 bytes, patch)
2007-08-24 14:04 UTC, fujiwara
no flags Details | Diff

Description fujiwara 2006-01-20 10:42:21 UTC
Description of problem:
When we invoke 'application --help' on none UTF-8 locales, applications help
messages are not shown correctly.
I'm attaching the patch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 fujiwara 2006-01-20 10:42:21 UTC
Created attachment 123474 [details]
Patch for Makefile.am, configure.in, popthelp.c, poptint.c, poptint.h

Comment 2 Jeff Johnson 2006-01-20 19:28:38 UTC
Linking popt to glib simply ain't gonna happen.

Comment 3 fujiwara 2006-01-21 08:31:37 UTC
Linking popt causes some build errors in other modules/packages durling configure.in


Comment 4 David Lawrence 2006-04-18 20:26:41 UTC
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.

Comment 5 Jeff Johnson 2006-04-25 05:09:08 UTC
Using glib in popt creates unresolvable dependency loops if dependencies are added
to track the usage of glib, or tricky support problems for popt output changes when glib cannot
be dlopen'ed, so the patch as written cannot be applied.

Meanwhile, if you rewrite using iconv(3) (which is all that glib2 is using), then the patch is probably
acceptable.

Comment 6 fujiwara 2006-10-10 07:21:17 UTC
Created attachment 138119 [details]
Patch for Makefile.am configure.in popthelp.c poptint.c and poptint.h

Patch using iconv

Comment 8 fujiwara 2007-02-20 12:35:02 UTC
Could you integrate the patch into HEAD?

Comment 9 Matthew Miller 2007-04-06 16:51:38 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 10 fujiwara 2007-04-09 07:08:16 UTC
This problem does not depends on the distributers and not fixed in popt HEAD yet.
Could you integrate the fix? This bug is one year ago.

Comment 11 Jeff Johnson 2007-04-09 13:08:27 UTC
Apologies, I did not see the rewritten patch using iconv.
That looks acceptable. I'll try to look this week.

Comment 12 Matthew Miller 2007-04-09 13:12:41 UTC
Moving this to devel.

Comment 13 Jeff Johnson 2007-04-21 01:31:47 UTC
Added to rpm cvs, will be in popt-1.10.9-0.4 when built. Thanks for the patience and the patch.

UPSTREAM

Comment 14 Robert Scheck 2007-08-10 10:06:11 UTC
Well...this issue already should be fixed in the popt package I added for my 
review request. It would be nice, if somebody could try the popt package I 
added to my review request and close this bug report if everything works with 
this package. Thanks.

Comment 15 Robert Scheck 2007-08-23 23:28:42 UTC
Your patch is at least incooperated into popt 1.12-3 which should reach Rawhide 
soon. I'll close this bug report now.

Comment 16 fujiwara 2007-08-24 06:22:38 UTC
Created attachment 172393 [details]
Patch for popt/configure.ac and popt/popthelp.c

Thanks for commiting the patch.

I noticed the CVS repository today.
It seems some of the codes are not commited yet so I'ld like to update the
patch.

Could you review the attachment?
The configure.ac works with 'autoheader' command.

Comment 17 Robert Scheck 2007-08-24 13:34:53 UTC
I forwarded your patch to upstream, got reviewed there and was applied some 
minutes ago into CVS.

Comment 18 fujiwara 2007-08-24 14:04:59 UTC
Created attachment 172416 [details]
Patch for isspace() cast in popt/popthelp.c

Thanks much for the quick integration.

Sorry, I'ld also like to integrate the cast part in the previous patch.

Could you review the attached patch?

On Solaris, the isspace() does not work correctly because the type of 'ch' and
'help' are signed char and they become minus values because multibyte chars are
8bit > 7bit so isspace() receives minus int.

     int isspace(int c);

The suggested fix is we convert the char to unsigned char and can convert to
plus int with the cast.
Then the isspace() works on Solaris.

Thanks.

Comment 19 fujiwara 2007-08-30 06:10:23 UTC
Thanks much for your integrations.


Note You need to log in before you can comment on or make changes to this bug.